package com.alibaba.druid.sql.dialect.mysql.ast.clause;

import com.alibaba.druid.sql.ast.SQLStatement;
import com.alibaba.druid.sql.dialect.mysql.ast.statement.MySqlStatementImpl;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class MySqlDeclareHandlerStatement extends MySqlStatementImpl {
   private MySqlHandlerType handleType;
   private SQLStatement spStatement;
   private List<ConditionValue> conditionValues = new ArrayList();

   public List<ConditionValue> getConditionValues() {
      return this.conditionValues;
   }

   public void setConditionValues(List<ConditionValue> conditionValues) {
      this.conditionValues = conditionValues;
   }

   public MySqlHandlerType getHandleType() {
      return this.handleType;
   }

   public void setHandleType(MySqlHandlerType handleType) {
      this.handleType = handleType;
   }

   public SQLStatement getSpStatement() {
      return this.spStatement;
   }

   public void setSpStatement(SQLStatement spStatement) {
      this.spStatement = spStatement;
   }

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.spStatement);
      }

      visitor.endVisit(this);
   }
}
